% File: pde_1.m
% From Chapter 3 - 'Green's Function Analysis', of the book:
% William E Schiesser and Graham W Griffiths (2009).
% A Compendium of Partial Differential Equation Models
% - Method of Lines Analysis with Matlab,
% Cambridge University Press (ISBN-13: 9780521519861).
%
  function ut=pde_1(t,u)
%
% Problem parameters
  global ncall n dx  
%
% PDE
  dx2=dx^2;
  for i=1:n
    if(i==1)     ut(i)=0.0; 
    elseif(i==n) ut(i)=0.0;
    else         ut(i)=(u(i+1)-2.0*u(i)+u(i-1))/dx2;
    end    
  end      
  ut=ut';
%
% Increment calls to pde_1
  ncall=ncall+1;

  
