%==========================================================
% To be run after pde_1_main.m code from Chapter 11
% Generates a sequence of images from Matlab workspace data
% populated by a previous simulation run. Images can then be
% used to create an animated gif file.
%==========================================================
delta = 1/(nx-1);
[x,y,z] = meshgrid(0:delta:1,0:delta:1,0:delta:1);
for it=[1 2 3 4 7 11]
    figure()
    w(:,:,:) = u(it,:,:,:);
    xslice = [0.1,.5,0.9]; yslice = [0]; zslice = [0,1];
    slice(x,y,z,w,xslice,yslice,zslice) 
    colormap(hsv(16));
    shading faceted
    xlabel('x');ylabel('y');zlabel('z');
    caxis([0,1]);
    colorbar
    view(-153,5);
    rotate3d on
end