% File: pde_1.m
% From Chapter 12 - 'Partial Differential Equation with a Mixed Partial
%                    Derivative', of the book:
% William E Schiesser and Graham W Griffiths (2009).
% A Compendium of Partial Differential Equation Models
% - Method of Lines Analysis with Matlab,
% Cambridge University Press (ISBN-13: 9780521519861).
  function ut=pde_1(t,u)
%
% Function yt computes the t derivative vector of the PDE with
% a mixed partial derivative
%
  global  a     x    xl    xu    dx    cm     n  ncall
%
% PDE
  ut=cm\u;
%
% Increment calls to pde_1
  ncall=ncall+1;
