% File: inital_1.m
% From Chapter 5 - 'Euler, Navier Stokes and Burgers Equations', 
%                   of the book:
% William E Schiesser and Graham W Griffiths (2009).
% A Compendium of Partial Differential Equation Models
% - Method of Lines Analysis with Matlab,
% Cambridge University Press (ISBN-13: 9780521519861).
  function u0=inital_1(t0)
%
% Function inital_1 sets the initial condition for Burgers' equation
%
  global n x xl xu ncall ncase ndss vis
%
% Analytical solution initially
  dx=(xu-xl)/(n-1);
  for i=1:n
    x(i)=xl+(i-1)*dx;
    u0(i)=phi(x(i),0.0);
  end

