% File: inital_1.m
% From Chapter 8 - 'The Linear Wave Equation' of the book:
% William E Schiesser and Graham W Griffiths (2009).
% A Compendium of Partial Differential Equation Models
% - Method of Lines Analysis with Matlab,
% Cambridge University Press (ISBN-13: 9780521519861).
  function u0=inital_1(t0)
%
% Function inital_1 sets the initial conditions for the wave equation
%
  global  ncall ncase  ndss     c     x    xl    xu     n
%
% Spatial domain and initial condition
  dx=(xu-xl)/(n-1);
  for i=1:n
    x(i)=(i-1)*dx;
  end  
  u1=ua(0.0,x);
  for i=1:n
    u2(i)=0.0;
    u0(i)  =u1(i);
    u0(i+n)=u2(i);
  end
  
